-- Query the Disk Usage counters for capacity planning
USE MDW
GO

SELECT	PCI.path, PCI.object_name, PCI.counter_name, 
		PCI.instance_name, PCV.collection_time, 
		PCV.snapshot_id,
		PCV.formatted_value, 
		PCV.performance_counter_instance_id AS pci_id, 
		SI.source_id, 
		core.source_info_internal.instance_name AS DBInstanceName, 
		core.source_info_internal.collection_set_uid, 
		MSDBCSI.name AS CollectionSetName
FROM        
	snapshots.performance_counter_values AS PCV INNER JOIN
	snapshots.performance_counter_instances AS PCI ON 
		PCV.performance_counter_instance_id = PCI.performance_counter_id INNER JOIN
	core.snapshots_internal AS SI ON 
		PCV.snapshot_id = SI.snapshot_id INNER JOIN
	core.source_info_internal ON 
		SI.source_id = core.source_info_internal.source_id AND SI.source_id = core.source_info_internal.source_id INNER JOIN
	msdb.dbo.syscollector_collection_sets_internal AS MSDBCSI ON 
		core.source_info_internal.collection_set_uid = MSDBCSI.collection_set_uid
WHERE
	(PCV.performance_counter_instance_id >= 471) AND (PCV.performance_counter_instance_id <= 476)
ORDER BY PCV.snapshot_id, PCI.path
;
GO
