use msdb;
Begin Transaction
Begin Try
Declare @collection_set_id_1 int
Declare @collection_set_uid_2 uniqueidentifier
EXEC [dbo].[sp_syscollector_create_collection_set] 
	@name=N'Logical Disk Size', 
	@collection_mode=1, 
	@description=N'Collects logical disk counters to help in capacity planning', 
	@target=N'', 
	@logging_level=0, 
	@days_until_expiration=5, 
	@proxy_name=N'', 
	@schedule_name=N'CollectorSchedule_Every_5min', 
	@collection_set_id=@collection_set_id_1 OUTPUT, 
	@collection_set_uid=@collection_set_uid_2 OUTPUT
Select @collection_set_id_1, @collection_set_uid_2

Declare @collector_type_uid_3 uniqueidentifier
Select @collector_type_uid_3 = collector_type_uid From [dbo].[syscollector_collector_types] Where name = N'Performance Counters Collector Type';
Declare @collection_item_id_4 int
EXEC [dbo].[sp_syscollector_create_collection_item] 
@name=N'Logical Disk Collection', 
@parameters=N'
<PerformanceCountersCollector>
	<PerformanceCounters Objects="LogicalDisk" 
		Counters="% Free Space" 
		Instances="*" />
	<PerformanceCounters Objects="LogicalDisk" 
		Counters="Free Megabytes" 
		Instances="*" />
	<PerformanceCounters Objects="$(INSTANCE):Databases" 
		Counters="Data File(s) Size (KB)" 
		Instances="_Total" />
	<PerformanceCounters Objects="$(INSTANCE):Databases"
		Counters="Log File(s) Size (KB)" 
		Instances="_Total" />
</PerformanceCountersCollector>', 
@collection_item_id=@collection_item_id_4 OUTPUT, 
@frequency=5, 
@collection_set_id=@collection_set_id_1, 
@collector_type_uid=@collector_type_uid_3
Select @collection_item_id_4

Commit Transaction;
End Try
Begin Catch
Rollback Transaction;
DECLARE @ErrorMessage NVARCHAR(4000);
DECLARE @ErrorSeverity INT;
DECLARE @ErrorState INT;
DECLARE @ErrorNumber INT;
DECLARE @ErrorLine INT;
DECLARE @ErrorProcedure NVARCHAR(200);
SELECT @ErrorLine = ERROR_LINE(),
       @ErrorSeverity = ERROR_SEVERITY(),
       @ErrorState = ERROR_STATE(),
       @ErrorNumber = ERROR_NUMBER(),
       @ErrorMessage = ERROR_MESSAGE(),
       @ErrorProcedure = ISNULL(ERROR_PROCEDURE(), '-');
RAISERROR (14684, @ErrorSeverity, 1 , @ErrorNumber, @ErrorSeverity, @ErrorState, @ErrorProcedure, @ErrorLine, @ErrorMessage);

End Catch;

GO


