use msdb;
Begin Transaction
Begin Try
Declare @collection_set_id_1 int
Declare @collection_set_uid_2 uniqueidentifier
EXEC [dbo].[sp_syscollector_create_collection_set] 
	@name=N'Resource Governor Activity', 
	@collection_mode=0, 
	@description=N'Collects CPU resources for pools and workgroups', 
	@target=N'', 
	@logging_level=0, 
	@days_until_expiration=5, 
	@proxy_name=N'', 
	@schedule_name=N'CollectorSchedule_Every_5min', 
	@collection_set_id=@collection_set_id_1 OUTPUT, 
	@collection_set_uid=@collection_set_uid_2 OUTPUT
Select @collection_set_id_1, @collection_set_uid_2


Declare @collector_type_uid_7 uniqueidentifier
Select @collector_type_uid_7 = collector_type_uid From [dbo].[syscollector_collector_types] Where name = N'Performance Counters Collector Type';
Declare @collection_item_id_8 int
EXEC [dbo].[sp_syscollector_create_collection_item] 
	@name=N'Resource Governor - Pool Stats CPU %', 
	@parameters=N'
<PerformanceCountersCollector>
  <PerformanceCounters Objects="SQLServer:Resource Pool Stats" Counters="CPU usage %" Instances="*" />
  <PerformanceCounters Objects="SQLServer:Resource Pool Stats" Counters="CPU usage tareget %" Instances="*" />  
  <PerformanceCounters Objects="Processor" Counters="% Processor Time" Instances="*" />
</PerformanceCountersCollector>', 
	@collection_item_id=@collection_item_id_8 OUTPUT, 
	@frequency=5, 
	@collection_set_id=@collection_set_id_1, 
	@collector_type_uid=@collector_type_uid_7
Select @collection_item_id_8



Commit Transaction;
End Try
Begin Catch
Rollback Transaction;
DECLARE @ErrorMessage NVARCHAR(4000);
DECLARE @ErrorSeverity INT;
DECLARE @ErrorState INT;
DECLARE @ErrorNumber INT;
DECLARE @ErrorLine INT;
DECLARE @ErrorProcedure NVARCHAR(200);
SELECT @ErrorLine = ERROR_LINE(),
       @ErrorSeverity = ERROR_SEVERITY(),
       @ErrorState = ERROR_STATE(),
       @ErrorNumber = ERROR_NUMBER(),
       @ErrorMessage = ERROR_MESSAGE(),
       @ErrorProcedure = ISNULL(ERROR_PROCEDURE(), '-');
RAISERROR (14684, @ErrorSeverity, 1 , @ErrorNumber, @ErrorSeverity, @ErrorState, @ErrorProcedure, @ErrorLine, @ErrorMessage);

End Catch;

GO

-- View Results
USE SharedMDW
GO
SELECT     TOP (1000) snapshots.performance_counter_values.*, snapshots.performance_counter_instances.object_name, 
                      snapshots.performance_counter_instances.counter_name, snapshots.performance_counter_instances.instance_name
FROM         snapshots.performance_counter_values INNER JOIN
                      snapshots.performance_counter_instances ON 
                      snapshots.performance_counter_values.performance_counter_instance_id = snapshots.performance_counter_instances.performance_counter_id
WHERE     (snapshots.performance_counter_instances.object_name = N'SQLServer:Resource Pool Stats') OR 
(snapshots.performance_counter_instances.object_name = N'Processor' AND snapshots.performance_counter_instances.instance_name = N'_Total' and snapshots.performance_counter_instances.counter_name = '% Processor Time')
ORDER BY snapshots.performance_counter_values.snapshot_id DESC

