USE MDW
GO

SELECT 
	SII.instance_name, TD.snapshot_id, STI.snapshot_time, TD.trace_info_id, 
	TD.SPID, TD.EventSequence, TD.StartTime, TD.Success, 
	TC.name AS [Category Name],	TE.name AS [Event Name], TSC.subclass_name, 
	TSC.subclass_value, TD.TextData, TD.ApplicationName, 
	TD.LoginName, TD.DatabaseName, TD.ObjectName, TD.ObjectType
FROM         
	sys.trace_subclass_values AS TSC RIGHT OUTER JOIN
    sys.trace_events AS TE INNER JOIN
    sys.trace_categories AS TC ON TE.category_id = TC.category_id RIGHT OUTER JOIN
    core.source_info_internal AS SII INNER JOIN
    core.snapshots_internal AS SI INNER JOIN
    snapshots.trace_data AS TD 
		ON SI.snapshot_id = TD.snapshot_id 
		ON SII.source_id = SI.source_id INNER JOIN
    core.snapshot_timetable_internal AS STI 
		ON SI.snapshot_time_id = STI.snapshot_time_id 
		ON TE.trace_event_id = TD.EventClass 
		ON TSC.trace_event_id = TD.EventClass AND TSC.subclass_value = TD.EventSubClass
WHERE     (TD.trace_info_id = 2)
ORDER BY TD.snapshot_id DESC, TD.EventSequence DESC

GO
